  <div id="footer">
    <div class="container-fluid">
      <div class="row">
        <div class="col-sm-7 left">
          <?php if (get_field('options_footer_left_column_caption', 'option')): ?>
          <p class="footer-caption"><?php the_field('options_footer_left_column_caption', 'option'); ?></p>
          <?php endif; ?>
          <?php if (get_field('options_address', 'option')): ?>
            <p class="address">
              <span class="shape"><span class="icon-location"></span></span>
              <span class="text"><?php the_field('options_address', 'option'); ?></span>
            </p>
          <?php endif; ?>
          <?php if (get_field('options_telephone', 'option')): ?>
            <p class="telephone">
              <span class="shape"><span class="icon-phone"></span></span>
              <span class="text">Tel: <a href="tel:<?= preg_replace('/\s+/', '', get_field('options_telephone', 'option')); ?>"><?php the_field('options_telephone', 'option'); ?></a></span>
            </p>
          <?php endif; ?>
          <?php if (get_field('options_email', 'option')): ?>
            <p class="email">
              <span class="shape"><span class="icon-email"></span></span>
              <span class="text"><a href="mailto:<?php the_field('options_email', 'option'); ?>"><?php the_field('options_email', 'option'); ?></a></span>
            </p>
          <?php endif; ?>
          <?php
          if (is_active_sidebar('footer')) {
            dynamic_sidebar('footer');
          }
          ?>
        </div>
        <div class="col-sm-5 right">

          <?php if (get_field('options_facebook_page', 'option') || get_field('options_twitter_page', 'option')): ?>
            <div class="social-links">
            <?php if (get_field('options_facebook_page', 'option')): ?>
              <a href="<?php the_field('options_facebook_page', 'option'); ?>"><span class="shape"><span class="icon-facebook"></span></span><span class="sr-only">Facebook</span></a>
            <?php endif; ?>

            <?php if (get_field('options_twitter_page', 'option')): ?>
              <a href="<?php the_field('options_twitter_page', 'option'); ?>"><span class="shape"><span class="icon-twitter"></span></span><span class="sr-only">Twitter</span></a>
            <?php endif; ?>
            </div>
          <?php endif; ?>

          <?= wp_nav_menu(array('menu' => 'Footer')); ?>

          <?php if (get_field('options_small_print', 'option')): ?>
            <p><?= str_replace('@year', date('Y'), get_field('options_small_print', 'option')); ?></p>
          <?php endif; ?>

          <?php if (get_field('options_attribution', 'option')): ?>
            <p><?php the_field('options_attribution', 'option'); ?></p>
          <?php endif; ?>

        </div>
      </div>
    </div>
  </div>
</div><?php // #wrapper from header.php ?>
<?php wp_footer(); ?>
</body>
</html>
