<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<?php wp_head(); ?>
<link href="https://fonts.googleapis.com/css?family=Exo+2:300,300i,500,500i,600,600i" rel="stylesheet">
<script>
(function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function()
{ (i[r].q=i[r].q||[]).push(arguments)}
,i[r].l=1*new Date();a=s.createElement(o),
m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
})(window,document,'script','//www.google-analytics.com/analytics.js','ga');
ga('create', 'UA-41644489-1', 'edinburghsteinerschool.org.uk');
ga('send', 'pageview');
</script>
</head>
<body <?php body_class(); ?>>
<div id="wrapper">
  <div id="top">
    <form autocomplete="off" class="search-form" method="get" action="/">
      <div class="search-form__wrapper">
        <input id="searchInput" type="text" name="s" placeholder="SEARCH">
        <button class="search-form__icon" id="searchSubmit" type="submit">
          <span class="screen-reader-text">Search</span>
          <span class="icon-magnifying-glass"></span>
        </button>
      </div>
      <button class="form-close">
        <span class="icon-cross"></span>
        <span class="text">Close</span>
      </button>
    </form>
    <button class="search-toggle"><span class="icon-magnifying-glass"></span></button>
    <?= wp_nav_menu(array('menu' => 'Top')); ?>
  </div>
  <div id="header" class="container-fluid">
    <a class="logo" href="<?= esc_url(home_url('/')); ?>"><img src="<?= get_template_directory_uri(); ?>/img/logo.png" width="299" height="131" alt="Logo" class="img-responsive"></a>
    <?= wp_nav_menu(array('menu' => 'Header')); ?>
    <?php
    if (is_active_sidebar('header')) {
      dynamic_sidebar('header');
    }
    ?>
  </div>
  <?php
  if (is_active_sidebar('submenu')) {
    dynamic_sidebar('submenu');
  }
  ?>
