<?php
$bg = FALSE;
if (get_sub_field('has_bg')) {
  $bg = get_sub_field('background_image');
}
$text_colour_class = ($bg && get_sub_field('text_colour') == 'light') ? ' text-light' : '';
$text_position_class = ($bg) ? ' text-align-' . get_sub_field('text_position') : '';
$content_style = ($bg && get_sub_field('fix_height')) ? ' style="height: ' . get_sub_field('fix_height') . 'px;"' : '';
?>
<div class="container-fluid max-width fc-row fc-content columns-<?php the_sub_field('columns'); ?><?php if (get_sub_field('css_class')): ?> <?php the_sub_field('css_class'); ?><?php endif; ?> <?php if ($bg): ?>has-bg<?php else: ?>no-bg<?php endif; ?>">
  <div class="content<?= $text_colour_class; ?><?= $text_position_class; ?>"<?= $content_style; ?>>
    <div class="wrap">
      <div class="inner">
        <?php if (get_sub_field('columns') == '1'): ?>
          <?php the_sub_field('content'); ?>
        <?php else : ?>
          <div class="row">
            <div class="col-sm-6">
              <?php the_sub_field('content'); ?>
            </div>
            <div class="col-sm-6">
              <?php the_sub_field('content_2'); ?>
            </div>
          </div>
        <?php endif; ?>
      </div>
    </div>
  </div>
  <?php if ($bg): ?>
  <div class="bg" style="background-image: url('<?= $bg['sizes']['hero-image']; ?>');"></div>
  <?php endif; ?>
</div>
