<?php
$grid_columns = 3;

$blocks = get_sub_field('blocks');
$num_blocks = count($blocks);

$col_class = 'col-sm-' . (12 / $grid_columns);
$num_rows = floor($num_blocks / $grid_columns);

$wrapper_class = get_sub_field('css_class') ? ' ' . get_sub_field('css_class') : '';
?>
<?php if (have_rows('blocks')): ?>
<div class="container-fluid fc-row fc-teaser-blocks<?= $wrapper_class; ?>">
  <div class="row">
  <?php $counter = 0; ?>
  <?php while (have_rows('blocks')) : the_row(); ?>
    <?php
    $link = FALSE;
    if (get_sub_field('has_button') != 'no') {
      $link = get_sub_field(get_sub_field('has_button') . '_link');
    }
    ?>
    <div class="teaser-block <?= $col_class; ?> hover-zoom <?php if ($counter % 2): ?>even<?php else: ?>odd<?php endif; ?>">
      <?php if (get_sub_field('image')): ?>
      <div class="image">
        <?php if ($link): ?><a href="<?= $link; ?>"><?php endif; ?>
        <?php print wp_get_attachment_image(get_sub_field('image'), 'teaser-block-image'); ?>
        <?php if ($link): ?></a><?php endif; ?>
      </div>
      <?php endif; ?>
      <div class="teaser-block-content">
        <?php if (get_sub_field('title')): ?><h3><?php the_sub_field('title'); ?></h3><?php endif; ?>
        <div class="content match-height">
          <?= get_sub_field('content'); ?>
        </div>
        <?php if ($link): ?>
          <a class="button" href="<?= $link; ?>"><?php the_sub_field('button_label'); ?></a>
        <?php endif; ?>
      </div>
    </div>
    <?php $counter++; ?>
  <?php endwhile; ?>
  </div>
</div>
<?php endif; ?>
