(function($) {

  $(document).ready(function() {

    $(".match-height").matchHeight();

    $("div.slider").each(function() {

      $(this).find(".slides").slick({
        dots: true,
        appendArrows: $(this).find(".navigation .toolbar"),
        appendDots: $(this).find(".navigation .toolbar"),
        prevArrow: '<button type="button" class="slick-prev"><span class="icon-chevron-thin-left" aria-hidden="true"></span></button>',
        nextArrow: '<button type="button" class="slick-next"><span class="icon-chevron-thin-right" aria-hidden="true"></span></button>'
      });

    });

    var $top = $("#top");

    $top.on("click", "button.search-toggle", function () {
      var $form = $(this).siblings("form.search-form");
      $form.addClass("toggled");
      setTimeout(function() {
        $form.find("input[type='text']").focus();
      }, 100);
    });

    $top.on("click", "button.form-close", function (e) {
      e.preventDefault();
      $top.find("form.search-form").removeClass("toggled");
    });

    // Mobile menu
    $("#menu-header > li.menu-item-has-children")
      .each(function() {
        var $arrow = $('<span class="arrow"/>');
        $arrow.html('<span class="icon-chevron-thin-down"></span>');
        $(this).append($arrow);
      })
      .on("click", "span.arrow", function(e) {
        e.preventDefault();
        console.log(this);
        $(this).prev("ul").toggle();
      });

    $(".menu-header-container").on("click", function(e) {
      if (e.target.className == "menu-header-container") {
        $(this).find("#menu-header").stop().slideToggle();
      }
    });

    // Responsive tables
    $("#content table").wrap('<div class="table-responsive"/>');

  });

})(jQuery);
