<?php
/**
 * Add the theme CSS and JS fields
 */
add_action('wp_enqueue_scripts', function() {

  wp_register_style('theme', get_template_directory_uri() . '/css/style.css');
  wp_enqueue_style('theme');

  // Enable for development
  // wp_register_style('icomoon', 'URL TO ICOMOON FONT');
  // wp_enqueue_style('icomoon');

  wp_enqueue_script('jquery');

  wp_register_script(
    'vendor',
    get_template_directory_uri() . '/js/vendor.min.js',
    array('jquery'), // or array(), or array('jquery') if this depends on jQuery
    '1.0', // or your plugin version, or the version of the js file
    true   // $in_footer
  );
  wp_enqueue_script('vendor');

  wp_register_script(
    'theme',
    get_template_directory_uri() . '/js/site.min.js',
    array('jquery'), // or array(), or array('jquery') if this depends on jQuery
    '1.0', // or your plugin version, or the version of the js file
    true   // $in_footer
  );
  wp_enqueue_script('theme');

});
