<?php
add_action('init', function() {

  /**
   * Register and create the default menus
   */
  register_nav_menus(array(
    'Top' => __('Top Navigation'),
    'Header' => __('Header Navigation'),
    'Footer' => __('Footer Navigation'),
  ));
  if (!is_nav_menu('Top')) {
    $menu_id = wp_create_nav_menu('Top');
    $menu = array('menu-item-type' => 'custom', 'menu-item-url' => get_home_url('/'), 'menu-item-title' => 'Home');
    wp_update_nav_menu_item($menu_id, 0, $menu );
  }
  if (!is_nav_menu('Header')) {
    $menu_id = wp_create_nav_menu('Header');
    $menu = array('menu-item-type' => 'custom', 'menu-item-url' => get_home_url('/'),  'menu-item-title' => 'Home');
    wp_update_nav_menu_item($menu_id, 0, $menu );
  }
  if (!is_nav_menu('Footer')) {
    $menu_id = wp_create_nav_menu('Footer');
    $menu = array('menu-item-type' => 'custom', 'menu-item-url' => get_home_url('/'),  'menu-item-title' => 'Home');
    wp_update_nav_menu_item($menu_id, 0, $menu );
  }

});
