<?php
/**
 * Register the default widget areas
 */
add_action('widgets_init', function() {

  register_sidebar(array(
    'name' => 'Header',
    'id' => 'header',
    'description' => 'Appears in the header',
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget' => '</div>',
    'before_title' => '<h3 class="widget-title">',
    'after_title' => '</h3>',
  ));
  register_sidebar(array(
    'name' => 'Footer',
    'id' => 'footer',
    'description' => 'Appears in the footer area',
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget' => '</div>',
    'before_title' => '<h3 class="widget-title">',
    'after_title' => '</h3>',
  ));
  register_sidebar(array(
    'name' => 'Submenu',
    'id' => 'submenu',
    'description' => 'Appears below the header area',
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget' => '</div>',
    'before_title' => '<h3 class="widget-title">',
    'after_title' => '</h3>',
  ));

});
