<?php
$posts = get_sub_field('posts');
$num_posts = count($posts);
$num_cols = get_sub_field('num_columns');
$col_class = '';
switch ($num_cols) {
  case '1';
    $col_class = 'col-xs-12'; break;
  case '2':
    $col_class = 'col-sm-6'; break;
  case '3':
    $col_class = 'col-sm-4'; break;
  case '4':
    $col_class = 'col-md-3 col-sm-6'; break;
}
?>
<?php if ($num_posts): ?>
<div class="container-fluid fc-row fc-posts fc-specific-posts<?php if (get_sub_field('css_class')): ?> <?php the_sub_field('css_class'); ?><?php endif; ?>">
  <?php if (get_sub_field('intro')): ?><div class="intro"><?php the_sub_field('intro'); ?></div><?php endif; ?>
  <div class="row posts">
    <?php foreach ($posts as $post): ?>
      <div class="column <?= $col_class; ?>">
        <?php
        $template = 'templates/fc/fc-posts-' . $post->post_type . '.php';
        if (locate_template($template)) {
          get_template_part('templates/fc/fc-posts-' . $post->post_type);
        }
        else {
          get_template_part('templates/fc/fc-posts-default');
        }
        ?>
      </div>
    <?php endforeach; ?>
  </div>
</div>
<?php endif; ?>
<?php wp_reset_query(); ?>
