<?php
$wrapper_class = get_sub_field('css_class') ? ' ' . get_sub_field('css_class') : '';
?>
<?php if (have_rows('slides')): ?>
<div class="fc-row fc-slider<?= $wrapper_class; ?>">
  <div class="slider">
    <div class="slides">
      <?php while (have_rows('slides')) : the_row(); ?>
        <?php $image = get_sub_field('image'); ?>
        <div class="slide">
          <?php print wp_get_attachment_image(get_sub_field('image'), 'slide-image'); ?>
          <?php if (get_sub_field('content')): ?>
          <div class="overlay text-align-<?php the_sub_field('text_position'); ?> text-<?php the_sub_field('text_colour'); ?>">
            <div class="content">
              <div class="inner">
                <?php the_sub_field('content'); ?>
              </div>
            </div>
          </div>
          <?php endif; ?>
        </div>
      <?php endwhile; ?>
    </div>
    <div class="navigation"><div class="toolbar"></div></div>
  </div>
</div>
<?php endif; ?>
