<?php get_header(); ?>

<div id="main" class="page-single-post single-post">

  <?php if (have_posts()) : while (have_posts()) : the_post(); ?>

  <div id="content" class="container-fluid max-width">
    <div class="content-container">

      <a href="<?= esc_url(get_page_link(642)); ?>" >&laquo; View all news</a>
      <h1><?php the_title(); ?></h1>
      <p class="post-date"><?= get_the_date('F j Y'); ?></p>
      <?php if (get_field('featured_image')): ?>
      <div class="image">
        <?php print wp_get_attachment_image(get_field('featured_image'), 'content-image', FALSE, array('class' => 'img-responsive')); ?>
      </div>
      <?php endif; ?>
      <?php the_field('content'); ?>

      <div class="share-block">
        <span class="icon-share"></span>
        <ul>
          <li><a href="https://www.facebook.com/sharer/sharer.php?u=<?= esc_url(get_permalink()); ?>"><span class="icon-facebook"></span><span class="sr-only">Facebook</span></a></li>
          <li><a href="https://twitter.com/home?status=<?= urlencode(get_the_title()) ?>%0D%0A<?= esc_url(get_permalink()); ?>"><span class="icon-twitter"></span><span class="sr-only">Twitter</span></a></li>
          <li><a href="https://www.linkedin.com/shareArticle?mini=true&url=<?= esc_url(get_permalink()); ?>"><span class="icon-linkedin"></span><span class="sr-only">LinkedIn</span></a></li>
        </ul>
      </div>

    </div>
  </div>

  <?php endwhile; endif; ?>

</div>

<?php get_footer(); ?>
