<div class="post post-<?= $post->post_type; ?>">
  <?php if (get_field('featured_image', $post->ID)): ?>
  <div class="image hover-zoom">
    <a href="<?= esc_url(get_permalink()); ?>">
      <?php print wp_get_attachment_image(get_field('featured_image'), 'teaser-block-image', FALSE, array('class' => 'img-responsive')); ?>
    </a>
  </div>
  <?php endif; ?>
  <div class="post-content">
    <div class="match-height">
      <h3><a href="<?= esc_url(get_permalink()); ?>"><?php the_title(); ?></a></h3>
      <?php
      $date_start = new DateTime(get_field('date_start', false, false));
      if ($date_end = get_field('date_end', false, false)) {
        $date_end = new DateTime($date_end);
        $date = date_range($date_start, $date_end);
      }
      else {
        $date = $date_start->format('D F j, Y');
      }
      ?>
      <p class="post-date">
        <?= $date; ?>
        <?php if (get_field('event_times')): ?>
          <br><?php the_field('event_times'); ?>
        <?php endif; ?>
      </p>
    </div>
    <a href="<?= esc_url(get_permalink()); ?>" class="button">View event <span class="sr-only"><?php the_title(); ?></span></a>
  </div>
</div>
