<div class="post post-<?= $post->post_type; ?>">
  <?php if (get_field('featured_image', $post->ID)): ?>
  <div class="image hover-zoom">
    <a href="<?= esc_url(get_permalink()); ?>">
      <?php print wp_get_attachment_image(get_field('featured_image'), 'teaser-block-image', FALSE, array('class' => 'img-responsive')); ?>
    </a>
  </div>
  <?php endif; ?>
  <div class="post-content">
    <div class="match-height">
      <h3><a href="<?= esc_url(get_permalink()); ?>"><?php the_title(); ?></a></h3>
      <p class="post-date"><?= get_the_date('F j Y'); ?></p>
    </div>
    <a href="<?= esc_url(get_permalink()); ?>" class="button">Read article <span class="sr-only"><?php the_title(); ?></span></a>
  </div>
</div>
