<?php
/**
 * Define the required image sizes
 */
add_action('after_setup_theme', function() {
  add_image_size('content-image', 1020);
  add_image_size('hero-image', 1920, 9999, TRUE);
  add_image_size('slide-image', 1920, 950, TRUE);
  add_image_size('teaser-block-image', 768, 518, TRUE);
  add_image_size('square-image', 500, 500, TRUE);
});

/**
 * Add our custom image sizes to Wordpress Media Library
 */
add_filter('image_size_names_choose', function($sizes) {
  $sizes['content-image'] = __('Content image');
  return $sizes;
});
