<?php
// Define the labels here
$post_label_singular = 'News';
$post_label_plural = 'News';

// Shouldn't have to change anything below this point.

add_action('admin_menu', function() {
  // Change the 'Post' label in the admin menu
  global $menu;
  global $submenu;
  global $post_label_singular;
  global $post_label_plural;
  $menu[5][0] = $post_label_plural;
  $submenu['edit.php'][5][0] = $post_label_plural;
  $submenu['edit.php'][10][0] = 'Add ' . $post_label_singular;
  $submenu['edit.php'][16][0] = $post_label_singular . ' Tags';
});

add_action('init', function() {
  // Change the labels of the post label
  global $wp_post_types;
  global $post_label_singular;
  global $post_label_plural;
  $labels = &$wp_post_types['post']->labels;
  $labels->name = $post_label_plural;
  $labels->singular_name = $post_label_singular;
  $labels->add_new = 'Add ' . $post_label_singular;
  $labels->add_new_item = 'Add ' . $post_label_singular;
  $labels->edit_item = 'Edit ' . $post_label_singular;
  $labels->new_item = $post_label_singular;
  $labels->view_item = 'View ' . $post_label_plural;
  $labels->search_items = 'Search ' . $post_label_plural;
  $labels->not_found = 'No ' . $post_label_plural . ' found';
  $labels->not_found_in_trash = 'No ' . $post_label_plural . ' found in Trash';
  $labels->all_items = 'All ' . $post_label_plural;
  $labels->menu_name = $post_label_plural;
  $labels->name_admin_bar = $post_label_plural;
});
